# Uses of Class
org.globus.ftp.GridFTPClient

Packages that use GridFTPClient
Package
Description
org.globus.ftp

## Uses of GridFTPClient in org.globus.ftp

Fields in org.globus.ftp declared as GridFTPClient
Modifier and Type
Field
Description
`GridFTPClient`
MultipleTransferComplete.`destination`
`GridFTPClient`
MultipleTransferComplete.`source`
Methods in org.globus.ftp with parameters of type GridFTPClient
Modifier and Type
Method
Description
`void`
GridFTPClient.`extendedMultipleTransfer(long[] remoteSrcFileOffset, long[] remoteSrcFileLength, String[] remoteSrcFile, GridFTPClient destination, long[] remoteDstFileOffset, String[] remoteDstFile, MarkerListener mListener, MultipleTransferCompleteListener doneListener)`
`void`
GridFTPClient.`extendedMultipleTransfer(String[] remoteSrcFile, GridFTPClient destination, String[] remoteDstFile, MarkerListener mListener, MultipleTransferCompleteListener doneListener)`
`void`
GridFTPClient.`extendedTransfer(String remoteSrcFile, long remoteSrcFileOffset, long remoteSrcFileLength, GridFTPClient destination, String remoteDstFile, long remoteDstFileOffset, MarkerListener mListener)`
Performs a third-party transfer between two servers using extended block mode.
`void`
GridFTPClient.`extendedTransfer(String remoteSrcFile, GridFTPClient destination, String remoteDstFile, MarkerListener mListener)`
Performs a third-party transfer between two servers using extended block mode.
Constructors in org.globus.ftp with parameters of type GridFTPClient
Modifier
Constructor
Description
``
`MultipleTransferComplete(String remoteSrcFile, String remoteDstFile, GridFTPClient source, GridFTPClient destination, int index)`